Package com.io7m.waxmill.machines

# Class WXMStorageBackendZFSVolume.Builder

java.lang.Object
com.io7m.waxmill.machines.WXMStorageBackendZFSVolume.Builder

Enclosing class:
  WXMStorageBackendZFSVolume

    public static final class WXMStorageBackendZFSVolume.Builder
    extends java.lang.Object

Builds instances of type `WXMStorageBackendZFSVolume`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `WXMStorageBackendZFSVolume` | `build()` | Builds a new `WXMStorageBackendZFSVolume`.
  `WXMStorageBackendZFSVolume.Builder` | `from​(WXMDeviceType.WXMStorageBackendType instance)` | Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMDeviceType.WXMStorageBackendType` instance.
  `WXMStorageBackendZFSVolume.Builder` | `from​(WXMDeviceType.WXMStorageBackendZFSVolumeType instance)` | Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMDeviceType.WXMStorageBackendZFSVolumeType` instance.
  `WXMStorageBackendZFSVolume.Builder` | `setComment​(java.lang.String comment)` | Initializes the value for the `comment` attribute.
  `WXMStorageBackendZFSVolume.Builder` | `setExpectedSize​(java.math.BigInteger expectedSize)` | Initializes the optional value `expectedSize` to expectedSize.
  `WXMStorageBackendZFSVolume.Builder` | `setExpectedSize​(java.util.Optional<? extends java.math.BigInteger> expectedSize)` | Initializes the optional value `expectedSize` to expectedSize.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final WXMStorageBackendZFSVolume.Builder from​(WXMDeviceType.WXMStorageBackendZFSVolumeType instance)
    Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMDeviceType.WXMStorageBackendZFSVolumeType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final WXMStorageBackendZFSVolume.Builder from​(WXMDeviceType.WXMStorageBackendType instance)
    Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMDeviceType.WXMStorageBackendType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setComment

    public final WXMStorageBackendZFSVolume.Builder setComment​(java.lang.String comment)
    Initializes the value for the `comment` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `comment`.

    Parameters:
      `comment` - The value for comment
    Returns:
      `this` builder for use in a chained invocation

  - ### setExpectedSize

    public final WXMStorageBackendZFSVolume.Builder setExpectedSize​(java.math.BigInteger expectedSize)
    Initializes the optional value `expectedSize` to expectedSize.
    Parameters:
      `expectedSize` - The value for expectedSize
    Returns:
      `this` builder for chained invocation

  - ### setExpectedSize

    public final WXMStorageBackendZFSVolume.Builder setExpectedSize​(java.util.Optional<? extends java.math.BigInteger> expectedSize)
    Initializes the optional value `expectedSize` to expectedSize.
    Parameters:
      `expectedSize` - The value for expectedSize
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public WXMStorageBackendZFSVolume build()
    Builds a new `WXMStorageBackendZFSVolume`.
    Returns:
      An immutable instance of WXMStorageBackendZFSVolume
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing